TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get nominator events from nominator pools

GET
/api/v3/staking/nominatorPools/nominatorEvents

Return events for the specified nominator pool, optionally filtered by nominator and time range.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

pool*string

Pool address in any form.

nominator?string

Nominator address in any form.

start_utime?integer

Query events with a timestamp at or after the specified timestamp.

end_utime?integer

Query events with a timestamp at or before the specified timestamp.

limit?integer

Limit the number of rows to return.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/staking/nominatorPools/nominatorEvents?pool=string"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "end_utime": 0,
  "events": [
    {
      "amount": "string",
      "balance_after": "string",
      "balance_before": "string",
      "balance_delta": "string",
      "nominator_address": "string",
      "pending_balance_after": "string",
      "pending_balance_before": "string",
      "pending_balance_delta": "string",
      "pool_address": "string",
      "tx_hash": "string",
      "tx_lt": "0",
      "type": "reward",
      "utime": 0,
      "withdraw_request_after": true,
      "withdraw_request_before": true
    }
  ],
  "start_utime": 0
}
{
  "error": "string"
}
{
  "error": "string"
}